org.apache.storm.rocketmq

## Class SpoutConfig

- java.lang.Object
- - org.apache.storm.rocketmq.RocketMqConfig
  - - org.apache.storm.rocketmq.SpoutConfig

-     public class SpoutConfig
      extends RocketMqConfig

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_SCHEME`
    `static String` | `SCHEME`

    - ### Fields inherited from class org.apache.storm.rocketmq.RocketMqConfig

      `BROKER_HEART_BEAT_INTERVAL, CONSUMER_BATCH_PROCESS_TIMEOUT, CONSUMER_BATCH_SIZE, CONSUMER_CALLBACK_EXECUTOR_THREADS, CONSUMER_GROUP, CONSUMER_MAX_THREADS, CONSUMER_MESSAGES_ORDERLY, CONSUMER_MIN_THREADS, CONSUMER_OFFSET_EARLIEST, CONSUMER_OFFSET_FROM_TIMESTAMP, CONSUMER_OFFSET_LATEST, CONSUMER_OFFSET_PERSIST_INTERVAL, CONSUMER_OFFSET_RESET_TO, CONSUMER_OFFSET_TIMESTAMP, CONSUMER_TAG, CONSUMER_TOPIC, DEFAULT_BROKER_HEART_BEAT_INTERVAL, DEFAULT_CONSUMER_BATCH_SIZE, DEFAULT_CONSUMER_CALLBACK_EXECUTOR_THREADS, DEFAULT_CONSUMER_MAX_THREADS, DEFAULT_CONSUMER_MIN_THREADS, DEFAULT_CONSUMER_OFFSET_PERSIST_INTERVAL, DEFAULT_CONSUMER_TAG, DEFAULT_NAME_SERVER_POLL_INTERVAL, DEFAULT_PRODUCER_RETRY_TIMES, DEFAULT_PRODUCER_TIMEOUT, NAME_SERVER_ADDR, NAME_SERVER_POLL_INTERVAL, PRODUCER_GROUP, PRODUCER_RETRY_TIMES, PRODUCER_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpoutConfig()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.storm.rocketmq.RocketMqConfig

      `buildCommonConfigs, buildConsumerConfigs, buildProducerConfigs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCHEME

          public static final String SCHEME

      See Also:
        Constant Field Values

    - #### DEFAULT_SCHEME

          public static final String DEFAULT_SCHEME

  - ### Constructor Detail

    - #### SpoutConfig

          public SpoutConfig()

Copyright © 2021 The Apache Software Foundation. All rights reserved.